Bug 1272033 - CTBD:Yum update doesn't update the existing ctdb package to the latest one.
CTBD:Yum update doesn't update the existing ctdb package to the latest one.
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: rhs-smb@redhat.com
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 06:22 EDT by surabhi
Modified: 2015-11-19 07:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 07:55:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description surabhi 2015-10-15 06:22:38 EDT
Description of problem:
With the latest build for samba and ctdb :
https://brewweb.devel.redhat.com/taskinfo?taskID=9959231

Yum update doesn't upgrade the existing ctdb package.

The older ctdb package starts with ctdb2.5 and the latest ctdb packages are ctdb-4.2.4-1. So when yum update is done it doesn't pick the latest package to upgrade because of different names.


Version-Release number of selected component (if applicable):
ctdb.x86_64             4.2.4-1.el7rhgs

How reproducible:
Always

Steps to Reproduce:
1.RHGS3.1.1 ISO 
2.Subscribe to channels: yum install samba, yum install ctdb
3.Yum update
4.Add samba4.2.4 repo(which contains ctdb package)
5. Yum update

Actual results:
The ctdb packages doesn't get updated.

Expected results:
CTDB packages should get updated with the latest.

Additional info:
Comment 2 Guenther Deschner 2015-10-15 12:56:21 EDT
We have a fix ready for testing.
Comment 3 Guenther Deschner 2015-10-16 05:42:46 EDT
samba-4.2.4-3.el6rhs and samba-4.2.4-3.el7rhgs should have this addressed.
Comment 5 surabhi 2015-11-13 06:09:09 EST
With latest ctdb package , the upgrade of ctdb package works fine. The dependency is handled and now the ctdb package gets updated with ctdb ctdb-4.2.4-6.el7rhgs.x86_64 .Marking the BZ verified.
Comment 7 errata-xmlrpc 2015-11-19 07:55:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2467.html

Note You need to log in before you can comment on or make changes to this bug.